# Uses of Class
javax.sound.sampled.AudioFileFormat.Type

Packages that use AudioFileFormat.Type
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.
javax.sound.sampled.spi
Supplies abstract classes for service providers to subclass when offering new audio devices, sound file readers and writers, or audio format converters.

## Uses of AudioFileFormat.Type in javax.sound.sampled

Fields in javax.sound.sampled declared as AudioFileFormat.Type
Modifier and Type
Field
Description
`static AudioFileFormat.Type`
AudioFileFormat.Type.`AIFC`
Specifies an AIFF-C file.
`static AudioFileFormat.Type`
AudioFileFormat.Type.`AIFF`
Specifies an AIFF file.
`static AudioFileFormat.Type`
AudioFileFormat.Type.`AU`
Specifies an AU file.
`static AudioFileFormat.Type`
AudioFileFormat.Type.`SND`
Specifies a SND file.
`static AudioFileFormat.Type`
AudioFileFormat.Type.`WAVE`
Specifies a WAVE file.
Methods in javax.sound.sampled that return AudioFileFormat.Type
Modifier and Type
Method
Description
`static AudioFileFormat.Type[]`
AudioSystem.`getAudioFileTypes()`
Obtains the file types for which file writing support is provided by the system.
`static AudioFileFormat.Type[]`
AudioSystem.`getAudioFileTypes​(AudioInputStream stream)`
Obtains the file types that the system can write from the audio input stream specified.
`AudioFileFormat.Type`
AudioFileFormat.`getType()`
Obtains the audio file type, such as `WAVE` or `AU`.
Methods in javax.sound.sampled with parameters of type AudioFileFormat.Type
Modifier and Type
Method
Description
`static boolean`
AudioSystem.`isFileTypeSupported​(AudioFileFormat.Type fileType)`
Indicates whether file writing support for the specified file type is provided by the system.
`static boolean`
AudioSystem.`isFileTypeSupported​(AudioFileFormat.Type fileType, AudioInputStream stream)`
Indicates whether an audio file of the specified file type can be written from the indicated audio input stream.
`static int`
AudioSystem.`write​(AudioInputStream stream, AudioFileFormat.Type fileType, File out)`
Writes a stream of bytes representing an audio file of the specified file type to the external file provided.
`static int`
AudioSystem.`write​(AudioInputStream stream, AudioFileFormat.Type fileType, OutputStream out)`
Writes a stream of bytes representing an audio file of the specified file type to the output stream provided.
Constructors in javax.sound.sampled with parameters of type AudioFileFormat.Type
Modifier
Constructor
Description
`protected`
`AudioFileFormat​(AudioFileFormat.Type type, int byteLength, AudioFormat format, int frameLength)`
Constructs an audio file format object.
``
`AudioFileFormat​(AudioFileFormat.Type type, AudioFormat format, int frameLength)`
Constructs an audio file format object.
``
`AudioFileFormat​(AudioFileFormat.Type type, AudioFormat format, int frameLength, Map<String,​Object> properties)`
Construct an audio file format object with a set of defined properties.

## Uses of AudioFileFormat.Type in javax.sound.sampled.spi

Methods in javax.sound.sampled.spi that return AudioFileFormat.Type
Modifier and Type
Method
Description
`abstract AudioFileFormat.Type[]`
AudioFileWriter.`getAudioFileTypes()`
Obtains the file types for which file writing support is provided by this audio file writer.
`abstract AudioFileFormat.Type[]`
AudioFileWriter.`getAudioFileTypes​(AudioInputStream stream)`
Obtains the file types that this audio file writer can write from the audio input stream specified.
Methods in javax.sound.sampled.spi with parameters of type AudioFileFormat.Type
Modifier and Type
Method
Description
`boolean`
AudioFileWriter.`isFileTypeSupported​(AudioFileFormat.Type fileType)`
Indicates whether file writing support for the specified file type is provided by this audio file writer.
`boolean`
AudioFileWriter.`isFileTypeSupported​(AudioFileFormat.Type fileType, AudioInputStream stream)`
Indicates whether an audio file of the type specified can be written from the audio input stream indicated.
`abstract int`
AudioFileWriter.`write​(AudioInputStream stream, AudioFileFormat.Type fileType, File out)`
Writes a stream of bytes representing an audio file of the file format indicated to the external file provided.
`abstract int`
AudioFileWriter.`write​(AudioInputStream stream, AudioFileFormat.Type fileType, OutputStream out)`
Writes a stream of bytes representing an audio file of the file type indicated to the output stream provided.